package com.kingdee.eas.custom.ats;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AtsLeaveBillDetailSameCollection extends AbstractObjectCollection 
{
    public AtsLeaveBillDetailSameCollection()
    {
        super(AtsLeaveBillDetailSameInfo.class);
    }
    public boolean add(AtsLeaveBillDetailSameInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AtsLeaveBillDetailSameCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AtsLeaveBillDetailSameInfo item)
    {
        return removeObject(item);
    }
    public AtsLeaveBillDetailSameInfo get(int index)
    {
        return(AtsLeaveBillDetailSameInfo)getObject(index);
    }
    public AtsLeaveBillDetailSameInfo get(Object key)
    {
        return(AtsLeaveBillDetailSameInfo)getObject(key);
    }
    public void set(int index, AtsLeaveBillDetailSameInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AtsLeaveBillDetailSameInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AtsLeaveBillDetailSameInfo item)
    {
        return super.indexOf(item);
    }
}